SLA (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.itil.SLA interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process.itil
Interface SLA

All Superinterfaces:
  ConfigurationItem, ExternalReference, ManagedElement, ModelObject, Objective, ObjectiveGroup, java.io.Serializable

    public interface SLA

extends ExternalReference, ObjectiveGroup, ConfigurationItem

Persistable:
  true
Top Level:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`BusinessService[]` | `getBusinessservice()`
`Customer` | `getCustomer()`
`long` | `getEndDate()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getSLACondition()`
`long` | `getStartDate()`
`java.lang.String` | `getThirdPartySLAID()`
`int` | `getType()`
`boolean` | `hasBusinessservice()`
`boolean` | `hasCustomer()`
`boolean` | `hasEndDate()`
`boolean` | `hasLocation()`
`boolean` | `hasSLACondition()`
`boolean` | `hasStartDate()`
`boolean` | `hasThirdPartySLAID()`
`boolean` | `hasType()`
`void` | `setBusinessservice(BusinessService[] x)`
`void` | `setCustomer(Customer x)`
`void` | `setEndDate(long ts)`
`void` | `setLocation(java.lang.String s)`
`void` | `setSLACondition(java.lang.String condition)`
`void` | `setStartDate(long ts)`
`void` | `setThirdPartySLAID(java.lang.String s)`
`void` | `setType(int type)`

Methods inherited from interface com.collation.platform.model.topology.process.ExternalReference
`getExternalHandle, getManagedElements, getMSS, hasExternalHandle, hasManagedElements, hasMSS, setExternalHandle, setManagedElements, setMSS`

Methods inherited from interface com.collation.platform.model.topology.process.ObjectiveGroup
`getMembers, hasMembers, setMembers`

Methods inherited from interface com.collation.platform.model.topology.process.Objective
`getAbstractresource, getActivity, getExpression, getObjectiveName, hasAbstractresource, hasActivity, hasExpression, hasObjectiveName, setAbstractresource, setActivity, setExpression, setObjectiveName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int type)

### hasType

    boolean hasType()

### getSLACondition

    java.lang.String getSLACondition()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSLACondition

    void setSLACondition(java.lang.String condition)

### hasSLACondition

    boolean hasSLACondition()

### getLocation

    java.lang.String getLocation()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLocation

    void setLocation(java.lang.String s)

### hasLocation

    boolean hasLocation()

### getThirdPartySLAID

    java.lang.String getThirdPartySLAID()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setThirdPartySLAID

    void setThirdPartySLAID(java.lang.String s)

### hasThirdPartySLAID

    boolean hasThirdPartySLAID()

### getStartDate

    long getStartDate()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartDate

    void setStartDate(long ts)

### hasStartDate

    boolean hasStartDate()

### getEndDate

    long getEndDate()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEndDate

    void setEndDate(long ts)

### hasEndDate

    boolean hasEndDate()

### getCustomer

    Customer getCustomer()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Requires" reverse="false"

### setCustomer

    void setCustomer(Customer x)

### hasCustomer

    boolean hasCustomer()

### getBusinessservice

    BusinessService[] getBusinessservice()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Evaluates" reverse="false"

### setBusinessservice

    void setBusinessservice(BusinessService[] x)

### hasBusinessservice

    boolean hasBusinessservice()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD